| Flutter Impeller |

Public Member Functions | List of all members
impeller::testing::RendererDartTest Class Reference
Inheritance diagram for impeller::testing::RendererDartTest:

## Public Member Functions
| RendererDartTest ()
flutter::testing::AutoIsolateShutdown * | GetIsolate ()
Public Member Functions inherited from impeller::PlaygroundTest
| PlaygroundTest ()
virtual | ~PlaygroundTest ()
void | SetUp () override
void | TearDown () override
PlaygroundBackend | GetBackend () const
std::unique_ptr< fml::Mapping > | OpenAssetAsMapping (std::string asset_name) const override
RuntimeStage::Map | OpenAssetAsRuntimeStage (const char *asset_name) const
std::string | GetWindowTitle () const override
Public Member Functions inherited from impeller::Playground
| Playground (PlaygroundSwitches switches)
virtual | ~Playground ()
void | SetupContext (PlaygroundBackend backend)
void | SetupWindow ()
void | TeardownWindow ()
Point | GetCursorPosition () const
ISize | GetWindowSize () const
Point | GetContentScale () const
Scalar | GetSecondsElapsed () const
| Get the amount of time elapsed from the start of the playground's execution. More...
std::shared_ptr< Context > | GetContext () const
std::shared_ptr< Context > | MakeContext () const
bool | OpenPlaygroundHere (const Renderer::RenderCallback &render_callback)
bool | OpenPlaygroundHere (SinglePassCallback pass_callback)
std::shared_ptr< Texture > | CreateTextureForFixture (const char *fixture_name, bool enable_mipmapping=false) const
std::shared_ptr< Texture > | CreateTextureCubeForFixture (std::array< const char *, 6 > fixture_names) const
fml::Status | SetCapabilities (const std::shared_ptr< Capabilities > &capabilities)
bool | WillRenderSomething () const

## Additional Inherited Members
Public Types inherited from impeller::Playground
using | SinglePassCallback = std::function< bool(RenderPass &pass)>
Static Public Member Functions inherited from impeller::Playground
static bool | ShouldOpenNewPlaygrounds ()
static std::shared_ptr< CompressedImage > | LoadFixtureImageCompressed (std::shared_ptr< fml::Mapping > mapping)
static std::optional< DecompressedImage > | DecodeImageRGBA (const std::shared_ptr< CompressedImage > &compressed)
static std::shared_ptr< Texture > | CreateTextureForMapping (const std::shared_ptr< Context > &context, std::shared_ptr< fml::Mapping > mapping, bool enable_mipmapping=false)
static bool | SupportsBackend (PlaygroundBackend backend)
Protected Member Functions inherited from impeller::Playground
void | SetWindowSize (ISize size)
Protected Attributes inherited from impeller::Playground
const PlaygroundSwitches | switches_

## Detailed Description

Definition at line 36 of file renderer_dart_unittests.cc.

## Constructor & Destructor Documentation

## ◆ RendererDartTest()

impeller::testing::RendererDartTest::RendererDartTest | ( |  | ) |
| inline

Definition at line 39 of file renderer_dart_unittests.cc.

40 : settings_(CreateSettingsForFixture()),
41 vm_ref_(flutter::DartVMRef::Create(settings_)) {
42 fml::MessageLoop::EnsureInitializedForCurrentThread();
43
44 current_task_runner_ = fml::MessageLoop::GetCurrent().GetTaskRunner();
45
46 isolate_ = CreateDartIsolate();
47 assert(isolate_);
48 assert(isolate_->get()->GetPhase() == flutter::DartIsolate::Phase::Running);
49 }

## Member Function Documentation

## ◆ GetIsolate()

flutter::testing::AutoIsolateShutdown* impeller::testing::RendererDartTest::GetIsolate | ( |  | ) |
| inline

Definition at line 51 of file renderer_dart_unittests.cc.

51 {
52 // Sneak the context into the Flutter GPU API.
53 assert(GetContext() != nullptr);
54 flutter::gpu::Context::SetOverrideContext(GetContext());
55
56 InstantiateTestShaderLibrary(GetContext()->GetBackendType());
57
58 return isolate_.get();
59 }

References impeller::Playground::GetContext(), and impeller::testing::InstantiateTestShaderLibrary().

The documentation for this class was generated from the following file:

- impeller/renderer/renderer_dart_unittests.cc

impeller::testing::InstantiateTestShaderLibrary
static void InstantiateTestShaderLibrary(Context::BackendType backend_type)
Definition: renderer_dart_unittests.cc:28
impeller::Playground::GetContext
std::shared_ptr< Context > GetContext() const
Definition: playground.cc:89